<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.axzo.msg.center.dal.mapper.MNSMessageTemplateParamMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.axzo.msg.center.domain.entity.MNSMessageTemplateParam">
        <id column="id" property="id" />
        <result column="template_no" property="templateNo" />
        <result column="param_name" property="paramName" />
        <result column="param_desc" property="paramDesc" />
        <result column="param_order" property="paramOrder" />
        <result column="remark" property="remark" />
        <result column="create_at" property="createAt" />
        <result column="update_at" property="updateAt" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="is_delete" property="isDelete" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, template_no, param_name, param_desc, param_order, remark, create_at, update_at, create_by, update_by, is_delete
    </sql>

</mapper>
